#include "at32f403a_407.h"
#include "soft_wdt.h"
#include "FreeRTOS.h"
#include "task.h"
#include "common_gpio.h"



//
void soft_wdt(void *params)
{
    (void)params;
    
    for (;;)
    {
        extern_wdt_togle(); // extern WDT
        vTaskDelay(100);
    }
}